VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
IViewListener Class Referenceabstract

View Listener Interface. More...

`#include <iviewlistener.h>`

Inheritance diagram for IViewListener:

## Public Member Functions
virtual | ~IViewListener () noexcept=default
virtual void | viewSizeChanged (CView *view, const CRect &oldSize)=0
| called when the view's size changed More...
virtual void | viewAttached (CView *view)=0
| called when a view was attached to a view hierarchy More...
virtual void | viewRemoved (CView *view)=0
| called when a view was removed from the view hierarchy More...
virtual void | viewLostFocus (CView *view)=0
| called when a view lost focus More...
virtual void | viewTookFocus (CView *view)=0
| called when a view took focus More...
virtual void | viewWillDelete (CView *view)=0
| called when a view is going to be destroyed More...
virtual void | viewOnMouseEnabled (CView *view, bool state)=0
| called when a view's mouse handling is enabled or disabled More...

## Detailed Description

View Listener Interface.

## Constructor & Destructor Documentation

## ◆ ~IViewListener()

virtual ~IViewListener | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ viewAttached()

virtual void viewAttached | ( | CView * | view | ) |
| pure virtual

called when a view was attached to a view hierarchy

Implemented in ViewListenerAdapter.

## ◆ viewLostFocus()

virtual void viewLostFocus | ( | CView * | view | ) |
| pure virtual

called when a view lost focus

Implemented in ViewListenerAdapter.

## ◆ viewRemoved()

virtual void viewRemoved | ( | CView * | view | ) |
| pure virtual

called when a view was removed from the view hierarchy

Implemented in ViewListenerAdapter.

## ◆ viewSizeChanged()

virtual void viewSizeChanged | ( | CView * | view,
|  | const CRect & | oldSize
| ) |  |
| pure virtual

called when the view's size changed

Implemented in CScrollView, and ViewListenerAdapter.

## ◆ viewTookFocus()

virtual void viewTookFocus | ( | CView * | view | ) |
| pure virtual

called when a view took focus

Implemented in ViewListenerAdapter.

## ◆ viewWillDelete()

virtual void viewWillDelete | ( | CView * | view | ) |
| pure virtual

called when a view is going to be destroyed

Implemented in CScrollView, and ViewListenerAdapter.

The documentation for this class was generated from the following file:

- iviewlistener.h